const Path = require("./Path");

class ObjectProperty extends Path {
    constructor(path) {
        super(path);
    }
    
    getName() {
        return this.node.key;
    }

    getValue() {
        return this.node.value;
    }

    getLeadingComments() {
        return this.node.leadingComments;
    }
}

module.exports = ObjectProperty;
